<?php
/**
 * Plugin Name:       DoDebug
 * Description:       Just a debug tool for theme/plugin developers.
 * Version:           1.1
 * Author:            WPDO
 * License:           GPLv3
 * License URI:       http://www.gnu.org/licenses/gpl.html
 * Text Domain:       dodebug
 * Domain Path:       /lang
 *
 * Copyright (C) 2019 WPDO
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
defined( 'WPINC' ) || exit;

if ( defined( 'DODEBUG_V' ) || defined( 'debug' ) || function_exists( 'debug' ) || function_exists( 'debug2' ) ) {
	return;
}

define( 'DODEBUG_V', '1.1' );

! defined( 'DODEBUG_DIR' ) && define( 'DODEBUG_DIR', dirname( __FILE__ ) . '/' ); // Full absolute path '/usr/local/***/wp-content/plugins/dodebug/' or MU
! defined( 'DODEBUG_PLUGIN_URL' ) && define( 'DODEBUG_PLUGIN_URL', plugin_dir_url( __FILE__ ) ); // Full URL path '//example.com/wp-content/plugins/dodebug/'
! defined( 'DODEBUG_TIME_OFFSET' ) && define( 'DODEBUG_TIME_OFFSET', get_option( 'gmt_offset' ) * 60 * 60 );
require_once DODEBUG_DIR . 'autoload.php';

/**
 * API for debug
 * @since  1.0
 */
if ( ! function_exists( 'debug' ) ) {
	function debug( $msg, $backtrace_limit = false )
	{
		return \dodebug\Log::debug( $msg, $backtrace_limit );
	}
}

if ( ! function_exists( 'debug2' ) ) {
	function debug2( $msg, $backtrace_limit = false )
	{
		return \dodebug\Log::debug2( $msg, $backtrace_limit );
	}
}

\dodebug\Core::get_instance();
