<?php
/**
 * Data structure class
 *
 * @since 1.0
 */
namespace dodebug;

defined( 'WPINC' ) || exit;

class Data extends Instance
{
	protected static $_instance;

	private $_db_updater = array(
		// '1.2' => array(
		// 	'dodebug_update_1_2',
		// ),
	);

	/**
	 * Init
	 *
	 * @since  1.0
	 * @access protected
	 */
	protected function __construct()
	{
	}

	/**
	 * Data upgrade
	 *
	 * @since  1.0
	 */
	public function conf_upgrade()
	{
		// require_once DODEBUG_DIR . 'src/data.upgrade.func.php' ;

		foreach ( $this->_db_updater as $k => $v ) {
			if ( version_compare( DODEBUG_CUR_V, $k, '<' ) ) {
				// run each callback
				foreach ( $v as $v2 ) {
					defined( 'debug' ) && debug( "[Data] Updating [ori_v] " . DODEBUG_CUR_V . " \t[to] $k \t[func] $v2" ) ;
					call_user_func( $v2 ) ;
				}
			}
		}

		Conf::delete( '_ver' ) ;
		Conf::add( '_ver', Core::VER ) ;

	}

}